package com.ssm.manage.entity;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * (BaseZengkaIssue)实体类
 *
 * @author makejava
 * @since 2022-04-26 16:23:33
 */
@Table(name = "base_zengka_issue")
public class BaseZengkaIssue implements Serializable {
    private static final long serialVersionUID = 407980945496498895L;
    /**
     * id
     */
    @Id
    private Long id;
    /**
     * 赠卡主表Id
     */
    @Column(name = "zengka_id")
    private Long zengkaId;
    /**
     * 会员编码
     */
    @Column(name = "member_num")
    private String memberNum;
    /**
     * 会员卡
     */
    @Column(name = "member_card")
    private String memberCard;
    /**
     * 状态
     */
    @Column(name = "state")
    private Integer state;

    /**
     * 门店编码
     */
    @Column(name = "store_id")
    private Long storeId;
    /**
     * 门店名称
     */
    @Column(name = "store_name")
    private String storeName;
    /**
     * 充值卡包ID
     */
    @Column(name = "account_id")
    private Long accountId;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getZengkaId() {
        return zengkaId;
    }

    public void setZengkaId(Long zengkaId) {
        this.zengkaId = zengkaId;
    }

    public String getMemberNum() {
        return memberNum;
    }

    public void setMemberNum(String memberNum) {
        this.memberNum = memberNum;
    }

    public String getMemberCard() {
        return memberCard;
    }

    public void setMemberCard(String memberCard) {
        this.memberCard = memberCard;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public Long getStoreId() {
        return storeId;
    }

    public void setStoreId(Long storeId) {
        this.storeId = storeId;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public Long getAccountId() {
        return accountId;
    }

    public void setAccountId(Long accountId) {
        this.accountId = accountId;
    }
}

